import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ActiveCartService } from '@spartacus/core';
import { FormArray, FormBuilder } from '@angular/forms';
import { CartService } from '../../../services/cart.service';
import * as i0 from "@angular/core";
export declare class MultipleImage {
    showImage: string[];
    storeImage: string[];
}
export declare class CustomCartListComponent implements OnInit, OnChanges {
    private cartService;
    private formBuilder;
    private cdr;
    private activeCartService;
    cartDetails: any;
    updateCartEntry: EventEmitter<any>;
    additionalPara: any;
    closeInviteModal: any;
    additionalColours: any;
    availableColours: any;
    isFinishedProduct: boolean;
    additinalselectedColour: any;
    modalSelectedColour: any;
    isShow: boolean;
    disableAddMore: boolean;
    errorIndex: any;
    rowIndex: number;
    selectedColour: any;
    cartId: any;
    showDetails: any;
    showWaitCursor: BehaviorSubject<boolean>;
    selectedIndex: any;
    defaultConfigInfo: any;
    productCode: any;
    productDetails: any;
    accessoriesPrice: any;
    finishedVariantDetails: any;
    isModalSelectedColor: any;
    productForm: any;
    addToCartError: any;
    constructor(cartService: CartService, formBuilder: FormBuilder, cdr: ChangeDetectorRef, activeCartService: ActiveCartService);
    ngOnInit(): void;
    get cartForm(): FormArray;
    hasCartDetails(): boolean;
    updateDefaultCartDetails(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showHide(ind: number): void;
    getColours(cartDetails: any, index: number, event: any): void;
    updateSelectedColourCode(code: any): void;
    modalSelectedColor(event: any, colour: any, ind: number): void;
    addtionalModalSelectedColor(event: any, colour: any, ind: number): void;
    proceedWithSubmit(color: any, ind: number): void;
    cancel(): void;
    deleteEntry(entNumber: any): void;
    reoladCartEntires(): void;
    isNullOrEmpty(value: any): boolean;
    updateCartDetails(cart: any, index: any): void;
    prodQtyErrors(index: any): any;
    jobReferenceErrors(index: any): any;
    isFormValid(index: any): any;
    updateCart(event: any, cart: any, index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCartListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCartListComponent, "app-custom-cart-list", never, { "cartDetails": "cartDetails"; "additionalPara": "additionalPara"; }, { "updateCartEntry": "updateCartEntry"; }, never, never>;
}
